*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: 100%;
  font-size: 16px;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  min-height: 100%;
  color: #111;
  font-family: "Open Sans", "Helvetica Neue", Arial, sans-serif;
  font-weight: 400;
  line-height: 1.6;
  text-rendering: optimizeLegibility;
}

a,
a:visited,
a:focus,
a:active {
  color: #428bca;
  text-decoration: none;
  transition: color 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
}

a:hover {
  color: #2a6496;
}

img {
  max-width: 100%;
}

section {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding-right: 16px;
  padding-left: 16px;
}

.container,
.container .content {
  width: 100%;
}

section.header {
  order: 0;
  padding-top: 32px;
  padding-bottom: 16px;
  background-color: #f7f7f7;
}

section.icons {
  order: 1;
  padding-top: 0;
  padding-bottom: 32px;
  background-color: #f7f7f7;
}

section.main {
  order: 2;
  padding-top: 32px;
  padding-bottom: 32px;
}

section.header .container,
section.icons .container,
section.main .container {
  display: flex;
  align-items: center;
}

section.header .container,
section.icons .container {
  justify-content: center;
}

section.header .content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

section.header .name,
.page-heading,
.markdown h1,
.markdown h2,
.markdown h3,
.markdown h4,
.markdown h5,
.markdown h6 {
  color: #333;
  font-family: Raleway, "Helvetica Neue", Arial, sans-serif;
  font-weight: 700;
  letter-spacing: -0.005rem;
}

section.header .name {
  color: #555;
  font-size: 18px;
  text-transform: uppercase;
}

section.header nav {
  margin-bottom: 16px;
  font-family: Raleway, "Helvetica Neue", Arial, sans-serif;
  font-size: 14px;
  text-transform: uppercase;
}

section.header nav ul {
  display: inline-flex;
  list-style: none;
  text-align: center;
}

section.header nav li {
  margin: 0 6px;
}

section.header nav li:first-child {
  margin-left: 0;
}

section.header nav li:last-child {
  margin-right: 0;
}

section.header nav a {
  color: #555;
  font-weight: 500;
}

section.header nav a:hover {
  color: #111;
}

section.icons .content {
  width: auto;
}

section.icons a {
  margin: 0 6px;
  opacity: 0.6;
  transition: opacity 0.1s cubic-bezier(0.47, 0, 0.75, 0.72);
}

section.icons a:first-child {
  margin-left: 0;
}

section.icons a:last-child {
  margin-right: 0;
}

section.icons a:hover {
  opacity: 0.8;
}

section.icons .icon {
  width: 16px;
  height: 16px;
}

section.main .container {
  justify-content: flex-start;
}

section.main .content {
  color: #111;
  font-size: 16px;
}

.page-heading {
  margin-bottom: 16px;
  font-size: 18px;
  text-transform: uppercase;
}

.front-matter .page-heading {
  margin-bottom: 0;
}

.front-matter .meta {
  display: flex;
  margin-bottom: 32px;
  color: #666;
  font-size: 14px;
}

.front-matter .date,
.front-matter .reading-time .middot {
  display: none;
}

.front-matter .middot {
  display: inline;
  margin: 0 6px;
  font-size: 6px;
  vertical-align: middle;
}

.front-matter .middot::before {
  content: "•";
}

.f04 {
  justify-content: center;
}

.f04 .content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.f04 .num {
  margin: 30px 0;
  font-family: Raleway, "Helvetica Neue", Arial, sans-serif;
  font-size: 50px;
  font-weight: 200;
}

.f04 .detail {
  margin-bottom: 40px;
}

.post-item {
  display: list-item;
  list-style: disc inside;
}

.post-item .meta {
  display: none;
  min-width: 100px;
  margin-right: 16px;
  color: #666;
  font-size: 14px;
  text-align: right;
}

.markdown h1,
.markdown h2,
.markdown h3,
.markdown h4,
.markdown h5,
.markdown h6 {
  margin-top: 1.75rem;
  font-size: 18px;
}

.markdown h1 {
  margin-bottom: 2rem;
  font-size: 1.75rem;
}

.markdown h2 {
  margin-bottom: 1.5rem;
  font-size: 1.5rem;
}

.markdown h3,
.markdown h4,
.markdown h5,
.markdown h6 {
  margin-bottom: 1rem;
  font-size: 1rem;
}

.markdown code,
.markdown pre {
  background-color: #f7f7f7;
  font-family: "Ubuntu Mono", Menlo, monospace;
  font-size: 1rem;
}

.markdown code {
  padding: 0.15em 0.5em;
  border-radius: 2px;
}

.markdown pre {
  display: block;
  margin: 1rem 0 2rem;
  padding: 1rem;
  line-height: 1.5;
  overflow-x: auto;
  white-space: pre;
}

.markdown pre code {
  padding: 0;
}

.markdown a code {
  color: #428bca;
}

.markdown a code:hover {
  text-decoration: underline;
}

.markdown p {
  margin-top: 0;
  margin-bottom: 1em;
  font-size: 1rem;
}

.markdown ul,
.markdown ol,
.markdown dl {
  margin-top: 1rem;
  margin-bottom: 2rem;
}

.markdown ul {
  margin-bottom: 1.25rem;
}

.markdown li {
  list-style-position: inside;
  list-style-type: disc;
}

.markdown dt,
.markdown strong {
  font-weight: 700;
}

.markdown dd {
  margin-bottom: 0.5rem;
}

.markdown em {
  font-style: italic;
}

.markdown hr {
  margin: 1.75rem 0;
  border: 0;
  border-top: 1px solid #999;
}

.markdown abbr {
  color: #666;
  font-size: 0.85rem;
  font-weight: 700;
  text-transform: uppercase;
}

.markdown abbr[title] {
  border-bottom: 1px dotted #808080;
  cursor: help;
}

.markdown blockquote {
  margin: 0.8rem 0;
  padding: 0.5rem 1rem;
  border-left: 0.25rem solid #e5e5e5;
  color: #7a7a7a;
}

.markdown blockquote p:last-child {
  margin-bottom: 0;
}

.markdown img {
  margin: 1rem 0;
}

.markdown table {
  width: 100%;
  margin-bottom: 1rem;
  border: 1px solid #e5e5e5;
  border-collapse: collapse;
}

.markdown td,
.markdown th {
  padding: 0.25rem 0.5rem;
  border: 1px solid #e5e5e5;
}

.markdown tbody tr:nth-child(odd) td,
.markdown tbody tr:nth-child(odd) th {
  background-color: #f7f7f7;
}

@media (min-width: 550px) {
  .markdown blockquote {
    padding-right: 5rem;
    padding-left: 1.25rem;
  }
}

@media (min-width: 600px) {
  body {
    justify-content: center;
  }

  section {
    max-width: 750px;
    margin-right: 100px;
    margin-left: 100px;
  }

  .container {
    margin: 0 30px;
  }

  section.header,
  section.icons {
    background-color: transparent;
  }

  section.header {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  section.icons {
    order: 2;
    padding-top: 60px;
    padding-bottom: 60px;
  }

  section.main {
    order: 1;
    padding-top: 0;
    padding-bottom: 0;
  }

  section.main.post {
    padding-top: 60px;
    padding-bottom: 60px;
  }

  .non-narrow.zero-top-spacing {
    padding-top: 0;
  }

  section.header .container,
  section.icons .container {
    justify-content: flex-start;
  }

  section.header .content {
    align-items: flex-start;
  }

  section.header .name {
    color: #333;
  }

  section.header nav {
    margin-bottom: 0;
  }

  section.header nav ul {
    text-align: left;
  }

  section.header nav a {
    color: #666;
  }

  section.header nav a:hover {
    color: #333;
  }

  section.icons a {
    margin-right: 3px;
    margin-left: 3px;
  }

  .front-matter .date,
  .front-matter .reading-time .middot {
    display: initial;
  }

  .f04 {
    justify-content: flex-start;
  }

  .f04 .content {
    align-items: flex-start;
  }

  .f04 .num {
    margin: 0 0 10px;
    font-size: 32px;
  }

  .f04 .detail {
    margin-bottom: 30px;
  }

  .post-item {
    display: flex;
    align-items: center;
    list-style: none;
  }

  .post-item .meta {
    display: block;
  }
}
